Skip to content
Guides
Fulfillment & ShippingTracking

Get public order tracking

Returns the public shipping status for a tracking number issued by this store.

GET/v1/tracking/{trackingNumber}

Returns the public shipping status for a tracking number issued by this store.

Path Parameters

trackingNumber*string

Header Parameters

x-Store-Domain*string

Store slug or configured domain that selects the store context at the central Storefront gateway.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/tracking/example" \  -H "x-Store-Domain: my-store"
{  "trackingNumber": "example",  "carrierName": "Example resource",  "trackingLink": "example",  "status": "example",  "delivered": false,  "events": [    {      "group": "example",      "name": "Example resource",      "description": "Example description.",      "date": "example",      "images": [        "example"      ]    }  ],  "message": "example"}